
#ifndef SPECTRE_INPUT_KEYBOARD_H
#define SPECTRE_INPUT_KEYBOARD_H

#include <string>
#include "InputEvent.h"
#include "InputDevice.h"

class Keyboard : public InputDevice
{
public :
	virtual ~Keyboard() {};

	virtual bool isKeyDown(Key::Type key) = 0;

	static std::string getKeyName(Key::Type key);
};

#endif /* SPECTRE_INPUT_KEYBOARD_H */
